package ai.pai.lensman.session;

import android.content.Context;

import java.util.Timer;
import java.util.TimerTask;

import ai.pai.lensman.bean.PhotoBean;
import ai.pai.lensman.db.Preferences;

/**
 * Created by chengzhenyu on 2016/7/7.
 */
public class SessionInteractor {

    private Context context;
    private String sessionId;
    private String lensmanId;
    private Timer timer;
    private SessionListener listener;

    public SessionInteractor(Context context,String sessionId, SessionListener listener) {
        this.context = context;
        this.listener = listener;
        this.sessionId = sessionId;
        this.lensmanId = Preferences.getInstance(context).getLensManId();
    }

    public interface SessionListener {

        void onSessionStartSuccess(String session);
        void onSessionStartError(String session);
        void onSessionPhotoCaptured(PhotoBean bean);
        void onSessionEnd(String session);
    }

    public void startSession(){

    }

    public void startCapture() {
        if(timer!=null){
            timer.cancel();
            timer = null;
        }
        timer = new Timer();
        timer.schedule(new TimerTask() {
            @Override
            public void run() {}
        },1000,1000);
    }

    public void endSession(){
        if(timer!=null){
            timer.cancel();
            timer = null;
        }

    }

}
